### Method

# Fwupd Device set_status

since: 1.4.0

#### Declaration [src]

    void
    fwupd_device_set_status (
      FwupdDevice* self,
      FwupdStatus status
    )

#### Description [src]

Sets what the device is currently doing.

Available since: 1.4.0

Sets property | `Fwupd.Device:status`

#### Parameters

`status`

  Type: `FwupdStatus`

  The status value, e.g. `FWUPD_STATUS_DEVICE_WRITE`.